/*
 * maX.500 sample view templates
 *
 * 5 March 1992 Mark C Smith
 * Updated 3 June 1993 by MCS
 *
 * run rez with -d ADMIN to get some additional attributes and more write-ability
 */

resource 'fnts' (1) {
	{
		"Geneva",
		"Helvetica",
		"Chicago",
	},
};

#define FONT_GENEVA		0
#define FONT_HELV		1
#define FONT_CHICAGO	2


resource 'octp' (1) {
	0,										/* version number */
	"Alias",								/* template name */
	{
		"alias",							/* associated object classes */
	},
	{										/* list of attribute defaults when adding */
	},
	"",										/* attribute to authenticate as */
	"",										/* default location for add/new */
	"",										/* default RDN attribute for add/new */
	400,									/* horizontal size */
	242,									/* vertical size */
	notaddable,
	autosize,
	multitem,
	modeless,
	{
		"-dn-",
		{2, 4, 18, 300},
		readonly, noboxed,
		EditText {
			nounderline, noitalic, bold,
			12,
			NoRed, NoGreen, NoBlue,			/* black color */
			FONT_HELV,
		},
		"",		/* dividing line */
		{18, -1, 21, 2000},
		readonly, boxed,
		StaticText {
			nounderline, noitalic, bold,
			12,
			NoRed, NoGreen, NoBlue,			/* black color */
			FONT_HELV,
			"",
		},
		"",
		{24, 4, 40, 123},
		readonly, noboxed,
		StaticText {
			nounderline, noitalic, bold,
			12,
			NoRed, NoGreen, FullBlue,		/* blue color */
			FONT_HELV,
			"Aliased Entry:",
		},
		"aliasedObjectName",
		{24, 125, 40, 398},
		readonly, noboxed,
		EditText {
			nounderline, noitalic, nobold,
			12,
			NoRed, NoGreen, NoBlue,			/* black color */
			FONT_HELV,
		},
		"",
		{44, 4, 60, 123},
		readonly, noboxed,
		StaticText {
			nounderline, noitalic, bold,
			12,
			NoRed, NoGreen, FullBlue,		/* blue color */
			FONT_HELV,
			"Also Known As:",
		},
		"cn",
		{44, 125, 60, 398},
		readonly, noboxed,
		EditText {
			nounderline, noitalic, nobold,
			12,
			NoRed, NoGreen, NoBlue,			/* black color */
			FONT_HELV,
		},
		"",
		{64, 4, 80, 123},
		readonly, noboxed,
		StaticText {
			nounderline, noitalic, bold,
			12,
			NoRed, NoGreen, FullBlue,		/* blue color */
			FONT_HELV,
			"E-mail address:",
		},
		"mail",
		{64, 125, 80, 398},
		readwrite, noboxed,
		EditText {
			nounderline, noitalic, nobold,
			12,
			NoRed, NoGreen, NoBlue,			/* black color */
			FONT_HELV,
		},
		"",
		{84, 4, 100, 123},
		readonly, noboxed,
		StaticText {
			nounderline, noitalic, bold,
			12,
			NoRed, NoGreen, FullBlue,		/* blue color */
			FONT_HELV,
			"Business phone:",
		},
		"telephoneNumber",
		{84, 125, 100, 398},
		readwrite, noboxed,
		EditText {
			nounderline, noitalic, nobold,
			12,
			NoRed, NoGreen, NoBlue,			/* black color */
			FONT_HELV,
		},
		"",
		{104, 4, 120, 123},
		readonly, noboxed,
		StaticText {
			nounderline, noitalic, bold,
			12,
			NoRed, NoGreen, FullBlue,		/* blue color */
			FONT_HELV,
			"Fax phone:",
		},
		"facsimileTelephoneNumber",
		{104, 125, 120, 398},
		readwrite, noboxed,
		EditText {
			nounderline, noitalic, nobold,
			12,
			NoRed, NoGreen, NoBlue,			/* black color */
			FONT_HELV,
		},
		"",
		{124, 4, 140, 123},
		readonly, noboxed,
		StaticText {
			nounderline, noitalic, bold,
			12,
			NoRed, NoGreen, FullBlue,		/* blue color */
			FONT_HELV,
			"Business address:",
		},
		"postalAddress",
		{124, 125, 140, 398},
		readwrite, noboxed,
		EditText {
			nounderline, noitalic, nobold,
			12,
			NoRed, NoGreen, NoBlue,			/* black color */
			FONT_HELV,
		},
		"",
		{144, 4, 160, 123},
		readonly, noboxed,
		StaticText {
			nounderline, noitalic, bold,
			12,
			NoRed, NoGreen, FullBlue,		/* blue color */
			FONT_HELV,
			"Title:",
		},
		"title",
		{144, 125, 160, 398},
		readwrite, noboxed,
		EditText {
			nounderline, noitalic, nobold,
			12,
			NoRed, NoGreen, NoBlue,			/* black color */
			FONT_HELV,
		},
		"",
		{164, 4, 180, 123},
		readonly, noboxed,
		StaticText {
			nounderline, noitalic, bold,
			12,
			NoRed, NoGreen, FullBlue,		/* blue color */
			FONT_HELV,
			"User ID:",
		},
		"uid",
		{164, 125, 180, 398},
		readonly, noboxed,
		EditText {
			nounderline, noitalic, nobold,
			12,
			NoRed, NoGreen, NoBlue,			/* black color */
			FONT_HELV,
		},
		"",
		{184, 4, 200, 123},
		readonly, noboxed,
		StaticText {
			nounderline, noitalic, bold,
			12,
			NoRed, NoGreen, FullBlue,		/* blue color */
			FONT_HELV,
			"Description:",
		},
		"description",
		{184, 125, 200, 398},
		readwrite, noboxed,
		EditText {
			nounderline, noitalic, nobold,
			12,
			NoRed, NoGreen, NoBlue,			/* black color */
			FONT_HELV,
		},
		"",
		{204, 4, 220, 123},
		readonly, noboxed,
		StaticText {
			nounderline, noitalic, bold,
			12,
			NoRed, NoGreen, FullBlue,		/* blue color */
			FONT_HELV,
			"Home phone:",
		},
		"homePhone",
		{204, 125, 220, 398},
		readwrite, noboxed,
		EditText {
			nounderline, noitalic, nobold,
			12,
			NoRed, NoGreen, NoBlue,			/* black color */
			FONT_HELV,
		},
		"",
		{224, 4, 240, 123},
		readonly, noboxed,
		StaticText {
			nounderline, noitalic, bold,
			12,
			NoRed, NoGreen, FullBlue,		/* blue color */
			FONT_HELV,
			"Home address:",
		},
		"homePostalAddress",
		{224, 125, 240, 398},
		readwrite, noboxed,
		EditText {
			nounderline, noitalic, nobold,
			12,
			NoRed, NoGreen, NoBlue,			/* black color */
			FONT_HELV,
		},
	}
};


resource 'octp' (2) {
	0,										/* version number */
	"UM Person",							/* template name */
	{
		"umichPerson",						/* associated object classes */
	},
	{										/* list of attribute defaults when adding */
	},
	"",										/* attribute to authenticate as */
	"",										/* default location for add/new */
	"cn",									/* default RDN attribute for add/new */
#ifdef ADMIN
	500,									/* ADMIN horizontal size */
	338,									/* ADMIN vertical size */
#else ADMIN
	400,									/* horizontal size */
	278,									/* vertical size */
#endif ADMIN
	addable,
	autosize,
	multitem,
	modeless,
	{
		"-dn-",
		{2, 4, 18, 300},
		readonly, noboxed,
		EditText {
			nounderline, noitalic, bold,
			12,
			NoRed, NoGreen, NoBlue,			/* black color */
			FONT_HELV,
		},
		"",		/* dividing line */
		{18, -1, 21, 2000},
		readonly, boxed,
		StaticText {
			nounderline, noitalic, bold,
			12,
			NoRed, NoGreen, NoBlue,			/* black color */
			FONT_HELV,
			"",
		},
		"jpegPhoto",
		{23, 4, 43, 89},
		readwrite, noboxed,
		Button {
			changelabel,
			noexec,
			deactivate,
			nextval,
			noclose,
			nobool,
			nodefault,
			defaultfalse,
			noadddnvals,
			nocopyvals,
			"View Photo",				/* button label */
			"Next Photo",	
			"JPEG Photo",
		},
		"audio",
		{23, 95, 43, 180},
		readwrite, noboxed,
		Button {
			changelabel,
			exec,
			deactivate,
			nextval,
			noclose,
			nobool,
			nodefault,
			defaultfalse,
			noadddnvals,
			nocopyvals,
			"Play Sound",				/* button label */
			"Next Sound",	
			"",
		},
		"noBatchUpdates",
		{23, 186, 43, 282},
		readwrite, noboxed,
		Button {
			nochangelabel,
			noexec,
			deactivate,
			nonextval,
			noclose,
			bool,					/* boolean changing text button */
			default,
			defaultfalse,
			noadddnvals,
			nocopyvals,
			"No Updates",			/* button label to show if value is true */
			"Updates",				/* button label to show if value is false */
			"UM Person Updates",	/* template to link to */
		},
		"",
		{23, 288, 43, 358},
		readwrite, noboxed,
		Button {
			nochangelabel,
			noexec,
			deactivate,
			nonextval,
			noclose,
			nobool,
			nodefault,
			defaultfalse,
			noadddnvals,
			nocopyvals,
			"Groups",				/* button label */
			"",	
			"UM Person's Groups",
		},
		"photo",
		{23, 364, 43, 474},
		readwrite, noboxed,
		Button {
			changelabel,
			noexec,
			hide,
			nextval,
			noclose,
			nobool,
			nodefault,
			defaultfalse,
			noadddnvals,
			nocopyvals,
			"View Fax Photo",				/* button label */
			"Next Fax Photo",	
			"Fax Photo",
		},
		"",		/* dividing line */
		{45, -1, 48, 2000},
		readonly, boxed,
		StaticText {
			nounderline, noitalic, bold,
			12,
			NoRed, NoGreen, NoBlue,			/* black color */
			FONT_HELV,
			"",
		},
#ifdef ADMIN
		"keepNames",
		{49, 360, 67, 498},
		readwrite, noboxed,
		CheckBox {
			deactivate,
			default,
			defaultfalse,
			NoRed, NoGreen, FullBlue,			/* blue color */
			"Nicknames Added",
		},
#endif ADMIN
		"",
		{51, 4, 67, 123},
		readonly, noboxed,
		StaticText {
			nounderline, noitalic, bold,
			12,
			NoRed, NoGreen, FullBlue,		/* blue color */
			FONT_HELV,
			"Also Known As:",
		},
		"cn",
#ifdef ADMIN
		{51, 125, 67, 358},			/* ADMIN slightly narrower & writeable */
		readwrite, noboxed,
#else ADMIN
		{51, 125, 67, 398},
		readonly, noboxed,
#endif ADMIN
		EditText {
			nounderline, noitalic, nobold,
			12,
			NoRed, NoGreen, NoBlue,			/* black color */
			FONT_HELV,
		},
		"",
		{72, 4, 88, 123},
		readonly, noboxed,
		StaticText {
			nounderline, noitalic, bold,
			12,
			NoRed, NoGreen, FullBlue,		/* blue color */
			FONT_HELV,
			"E-mail address:",
		},
		"mail",
		{72, 125, 88, 398},
		readwrite, noboxed,
		EditText {
			nounderline, noitalic, nobold,
			12,
			NoRed, NoGreen, NoBlue,			/* black color */
			FONT_HELV,
		},
		"",
		{93, 4, 109, 123},
		readonly, noboxed,
		StaticText {
			nounderline, noitalic, bold,
			12,
			NoRed, NoGreen, FullBlue,		/* blue color */
			FONT_HELV,
			"Business phone:",
		},
		"telephoneNumber",
		{93, 125, 109, 398},
		readwrite, noboxed,
		EditText {
			nounderline, noitalic, nobold,
			12,
			NoRed, NoGreen, NoBlue,			/* black color */
			FONT_HELV,
		},
		"",
		{114, 4, 130, 123},
		readonly, noboxed,
		StaticText {
			nounderline, noitalic, bold,
			12,
			NoRed, NoGreen, FullBlue,		/* blue color */
			FONT_HELV,
			"Fax phone:",
		},
		"facsimileTelephoneNumber",
		{114, 125, 130, 398},
		readwrite, noboxed,
		EditText {
			nounderline, noitalic, nobold,
			12,
			NoRed, NoGreen, NoBlue,			/* black color */
			FONT_HELV,
		},
		"",
		{135, 4, 151, 123},
		readonly, noboxed,
		StaticText {
			nounderline, noitalic, bold,
			12,
			NoRed, NoGreen, FullBlue,		/* blue color */
			FONT_HELV,
			"Business address:",
		},
		"postalAddress",
		{135, 125, 151, 398},
		readwrite, noboxed,
		EditText {
			nounderline, noitalic, nobold,
			12,
			NoRed, NoGreen, NoBlue,			/* black color */
			FONT_HELV,
		},
		"",
		{156, 4, 172, 123},
		readonly, noboxed,
		StaticText {
			nounderline, noitalic, bold,
			12,
			NoRed, NoGreen, FullBlue,		/* blue color */
			FONT_HELV,
			"Title:",
		},
		"title",
		{156, 125, 172, 398},
		readwrite, noboxed,
		EditText {
			nounderline, noitalic, nobold,
			12,
			NoRed, NoGreen, NoBlue,			/* black color */
			FONT_HELV,
		},
		"",
		{177, 4, 193, 123},
		readonly, noboxed,
		StaticText {
			nounderline, noitalic, bold,
			12,
			NoRed, NoGreen, FullBlue,		/* blue color */
			FONT_HELV,
			"Uniqname:",
		},
		"uid",
		{177, 125, 193, 398},
		readonly, noboxed,
		EditText {
			nounderline, noitalic, nobold,
			12,
			NoRed, NoGreen, NoBlue,			/* black color */
			FONT_HELV,
		},
		"",
		{198, 4, 214, 123},
		readonly, noboxed,
		StaticText {
			nounderline, noitalic, bold,
			12,
			NoRed, NoGreen, FullBlue,		/* blue color */
			FONT_HELV,
			"Description:",
		},
		"multiLineDescription",
		{198, 125, 214, 398},
		readwrite, noboxed,
		EditText {
			nounderline, noitalic, nobold,
			12,
			NoRed, NoGreen, NoBlue,			/* black color */
			FONT_HELV,
		},
		"",
		{219, 4, 235, 123},
		readonly, noboxed,
		StaticText {
			nounderline, noitalic, bold,
			12,
			NoRed, NoGreen, FullBlue,		/* blue color */
			FONT_HELV,
			"Home phone:",
		},
		"homePhone",
		{219, 125, 235, 398},
		readwrite, noboxed,
		EditText {
			nounderline, noitalic, nobold,
			12,
			NoRed, NoGreen, NoBlue,			/* black color */
			FONT_HELV,
		},
		"",
		{240, 4, 256, 123},
		readonly, noboxed,
		StaticText {
			nounderline, noitalic, bold,
			12,
			NoRed, NoGreen, FullBlue,		/* blue color */
			FONT_HELV,
			"Home address:",
		},
		"homePostalAddress",
		{240, 125, 256, 398},
		readwrite, noboxed,
		EditText {
			nounderline, noitalic, nobold,
			12,
			NoRed, NoGreen, NoBlue,			/* black color */
			FONT_HELV,
		},
		"",
		{260, 4, 276, 123},
		readonly, noboxed,
		StaticText {
			nounderline, noitalic, bold,
			12,
			NoRed, NoGreen, FullBlue,		/* blue color */
			FONT_HELV,
			"Favorite Drink:",
		},
		"drink",
		{260, 125, 276, 398},
		readwrite, noboxed,
		EditText {
			nounderline, noitalic, nobold,
			12,
			NoRed, NoGreen, NoBlue,			/* black color */
			FONT_HELV,
		},
#ifdef ADMIN
		"",		/* dividing line */
		{278, -1, 279, 2000},
		readonly, boxed,
		StaticText {
			nounderline, noitalic, bold,
			12,
			NoRed, NoGreen, NoBlue,			/* black color */
			FONT_HELV,
			"",
		},
		"notRegistered",
		{280, 4, 298, 200},
		readwrite, noboxed,
		CheckBox {
			deactivate,
			default,
			defaultfalse,
			NoRed, NoGreen, FullBlue,		/* blue color */
			"Not Currently Registered",
		},
		"doNotDelete",
		{280, 210, 298, 400},
		readwrite, noboxed,
		CheckBox {
			deactivate,
			default,
			defaultfalse,
			NoRed, NoGreen, FullBlue,		/* blue color */
			"Never Delete This Entry",
		},
		"",
		{300, 4, 316, 123},
		readonly, noboxed,
		StaticText {
			nounderline, noitalic, bold,
			12,
			NoRed, NoGreen, FullBlue,		/* blue color */
			FONT_HELV,
			"Kerberos Names:",
		},
		"krbName",
		{300, 125, 316, 398},
		readwrite, noboxed,
		EditText {
			nounderline, noitalic, nobold,
			12,
			NoRed, NoGreen, NoBlue,			/* black color */
			FONT_HELV,
		},
		"",
		{320, 4, 336, 123},
		readonly, noboxed,
		StaticText {
			nounderline, noitalic, bold,
			12,
			NoRed, NoGreen, FullBlue,		/* blue color */
			FONT_HELV,
			"Affiliation Code:",
		},
		"affiliationCode",
		{320, 125, 336, 185},
		readwrite, noboxed,
		EditText {
			nounderline, noitalic, nobold,
			12,
			NoRed, NoGreen, NoBlue,			/* black color */
			FONT_HELV,
		},
		"",
		{320, 200, 336, 310},
		readonly, noboxed,
		StaticText {
			nounderline, noitalic, bold,
			12,
			NoRed, NoGreen, FullBlue,		/* blue color */
			FONT_HELV,
			"Class Standing:",
		},
		"classStanding",
		{320, 314, 336, 390},
		readwrite, noboxed,
		EditText {
			nounderline, noitalic, nobold,
			12,
			NoRed, NoGreen, NoBlue,			/* black color */
			FONT_HELV,
		},
#endif ADMIN
	}
};


resource 'octp' (3) {
	0,										/* version number */
	"Person",								/* template name */
	{
		"Person",							/* associated object classes */
	},
	{										/* list of attribute defaults when adding */
	},
	"",										/* attribute to authenticate as */
	"",										/* default location for add/new */
	"cn",									/* default RDN attribute for add/new */
	400,									/* horizontal size */
	298,									/* vertical size */
	addable,
	autosize,
	multitem,
	modeless,
	{
		"-dn-",
		{2, 4, 18, 300},
		readonly, noboxed,
		EditText {
			nounderline, noitalic, bold,
			12,
			NoRed, NoGreen, NoBlue,			/* black color */
			FONT_HELV,
		},
		"",		/* dividing line */
		{18, -1, 21, 2000},
		readonly, boxed,
		StaticText {
			nounderline, noitalic, bold,
			12,
			NoRed, NoGreen, NoBlue,			/* black color */
			FONT_HELV,
			"",
		},
		"jpegPhoto",
		{23, 4, 43, 89},
		readwrite, noboxed,
		Button {
			changelabel,
			noexec,
			deactivate,
			nextval,
			noclose,
			nobool,
			nodefault,
			defaultfalse,
			noadddnvals,
			nocopyvals,
			"View Photo",				/* button label */
			"Next Photo",	
			"JPEG Photo",
		},
		"audio",
		{23, 95, 43, 180},
		readwrite, noboxed,
		Button {
			changelabel,
			exec,
			deactivate,
			nextval,
			noclose,
			nobool,
			nodefault,
			defaultfalse,
			noadddnvals,
			nocopyvals,
			"Play Sound",				/* button label */
			"Next Sound",	
			"",
		},
		"photo",
		{23, 186, 43, 296},
		readwrite, noboxed,
		Button {
			changelabel,
			noexec,
			hide,
			nextval,
			noclose,
			nobool,
			nodefault,
			defaultfalse,
			noadddnvals,
			nocopyvals,
			"View Fax Photo",				/* button label */
			"Next Fax Photo",	
			"Fax Photo",
		},
		"",		/* dividing line */
		{45, -1, 48, 2000},
		readonly, boxed,
		StaticText {
			nounderline, noitalic, bold,
			12,
			NoRed, NoGreen, NoBlue,			/* black color */
			FONT_HELV,
			"",
		},
		"",
		{51, 4, 67, 123},
		readonly, noboxed,
		StaticText {
			nounderline, noitalic, bold,
			12,
			NoRed, NoGreen, FullBlue,		/* blue color */
			FONT_HELV,
			"Also Known As:",
		},
		"cn",
		{51, 125, 67, 398},
		readonly, noboxed,
		EditText {
			nounderline, noitalic, nobold,
			12,
			NoRed, NoGreen, NoBlue,			/* black color */
			FONT_HELV,
		},
		"",
		{72, 4, 88, 123},
		readonly, noboxed,
		StaticText {
			nounderline, noitalic, bold,
			12,
			NoRed, NoGreen, FullBlue,		/* blue color */
			FONT_HELV,
			"E-mail address:",
		},
		"mail",
		{72, 125, 88, 398},
		readwrite, noboxed,
		EditText {
			nounderline, noitalic, nobold,
			12,
			NoRed, NoGreen, NoBlue,			/* black color */
			FONT_HELV,
		},
		"",
		{93, 4, 109, 123},
		readonly, noboxed,
		StaticText {
			nounderline, noitalic, bold,
			12,
			NoRed, NoGreen, FullBlue,		/* blue color */
			FONT_HELV,
			"Business phone:",
		},
		"telephoneNumber",
		{93, 125, 109, 398},
		readwrite, noboxed,
		EditText {
			nounderline, noitalic, nobold,
			12,
			NoRed, NoGreen, NoBlue,			/* black color */
			FONT_HELV,
		},
		"",
		{114, 4, 130, 123},
		readonly, noboxed,
		StaticText {
			nounderline, noitalic, bold,
			12,
			NoRed, NoGreen, FullBlue,		/* blue color */
			FONT_HELV,
			"Fax phone:",
		},
		"facsimileTelephoneNumber",
		{114, 125, 130, 398},
		readwrite, noboxed,
		EditText {
			nounderline, noitalic, nobold,
			12,
			NoRed, NoGreen, NoBlue,			/* black color */
			FONT_HELV,
		},
		"",
		{135, 4, 151, 123},
		readonly, noboxed,
		StaticText {
			nounderline, noitalic, bold,
			12,
			NoRed, NoGreen, FullBlue,		/* blue color */
			FONT_HELV,
			"Business address:",
		},
		"postalAddress",
		{135, 125, 151, 398},
		readwrite, noboxed,
		EditText {
			nounderline, noitalic, nobold,
			12,
			NoRed, NoGreen, NoBlue,			/* black color */
			FONT_HELV,
		},
		"",
		{156, 4, 172, 123},
		readonly, noboxed,
		StaticText {
			nounderline, noitalic, bold,
			12,
			NoRed, NoGreen, FullBlue,		/* blue color */
			FONT_HELV,
			"Title:",
		},
		"title",
		{156, 125, 172, 398},
		readwrite, noboxed,
		EditText {
			nounderline, noitalic, nobold,
			12,
			NoRed, NoGreen, NoBlue,			/* black color */
			FONT_HELV,
		},
		"",
		{177, 4, 193, 123},
		readonly, noboxed,
		StaticText {
			nounderline, noitalic, bold,
			12,
			NoRed, NoGreen, FullBlue,		/* blue color */
			FONT_HELV,
			"User ID:",
		},
		"uid",
		{177, 125, 193, 398},
		readonly, noboxed,
		EditText {
			nounderline, noitalic, nobold,
			12,
			NoRed, NoGreen, NoBlue,			/* black color */
			FONT_HELV,
		},
		"",
		{198, 4, 214, 123},
		readonly, noboxed,
		StaticText {
			nounderline, noitalic, bold,
			12,
			NoRed, NoGreen, FullBlue,		/* blue color */
			FONT_HELV,
			"Description:",
		},
		"description",
		{198, 125, 214, 398},
		readwrite, noboxed,
		EditText {
			nounderline, noitalic, nobold,
			12,
			NoRed, NoGreen, NoBlue,			/* black color */
			FONT_HELV,
		},
		"",
		{219, 4, 235, 123},
		readonly, noboxed,
		StaticText {
			nounderline, noitalic, bold,
			12,
			NoRed, NoGreen, FullBlue,		/* blue color */
			FONT_HELV,
			"Home phone:",
		},
		"homePhone",
		{219, 125, 235, 398},
		readwrite, noboxed,
		EditText {
			nounderline, noitalic, nobold,
			12,
			NoRed, NoGreen, NoBlue,			/* black color */
			FONT_HELV,
		},
		"",
		{240, 4, 256, 123},
		readonly, noboxed,
		StaticText {
			nounderline, noitalic, bold,
			12,
			NoRed, NoGreen, FullBlue,		/* blue color */
			FONT_HELV,
			"Home address:",
		},
		"homePostalAddress",
		{240, 125, 256, 398},
		readwrite, noboxed,
		EditText {
			nounderline, noitalic, nobold,
			12,
			NoRed, NoGreen, NoBlue,			/* black color */
			FONT_HELV,
		},
		"",
		{260, 4, 276, 123},
		readonly, noboxed,
		StaticText {
			nounderline, noitalic, bold,
			12,
			NoRed, NoGreen, FullBlue,		/* blue color */
			FONT_HELV,
			"See Also:",
		},
		"seeAlso",
		{260, 125, 276, 398},
		readwrite, noboxed,
		EditText {
			nounderline, noitalic, nobold,
			12,
			NoRed, NoGreen, NoBlue,			/* black color */
			FONT_HELV,
		},
		"",
		{280, 4, 296, 123},
		readonly, noboxed,
		StaticText {
			nounderline, noitalic, bold,
			12,
			NoRed, NoGreen, FullBlue,		/* blue color */
			FONT_HELV,
			"Favorite Drink:",
		},
		"drink",
		{280, 125, 296, 398},
		readwrite, noboxed,
		EditText {
			nounderline, noitalic, nobold,
			12,
			NoRed, NoGreen, NoBlue,			/* black color */
			FONT_HELV,
		},
	}
};


resource 'octp' (4) {
	0,										/* version number */
	"Organization",							/* template name */
	{
		"organization",						/* associated object classes */
		"organizationalUnit",
	},
	{										/* list of attribute defaults when adding */
	},
	"",										/* attribute to authenticate as */
	"",										/* default location for add/new */
	"",										/* default RDN attribute for add/new */
	450,									/* horizontal size */
	162,									/* vertical size */
	notaddable,
	autosize,
	multitem,
	modeless,
	{
		"-dn-",
		{2, 4, 18, 300},
		readonly, noboxed,
		EditText {
			nounderline, noitalic, bold,
			12,
			NoRed, NoGreen, NoBlue,			/* black color */
			FONT_HELV,
		},
		"",		/* dividing line */
		{18, -1, 21, 2000},
		readonly, boxed,
		StaticText {
			nounderline, noitalic, bold,
			12,
			NoRed, NoGreen, NoBlue,			/* black color */
			FONT_HELV,
			"",
		},
		"photo",
		{24, 300, 174, 450},
		readonly, noboxed,
		Image {
		},
		"",
		{24, 2, 40, 110},
		readonly, noboxed,
		StaticText {
			nounderline, noitalic, bold,
			12,
			NoRed, NoGreen, FullBlue,		/* blue color */
			FONT_HELV,
			"Name:",
		},
		"o",
		{24, 114, 40, 298},
		readwrite, noboxed,
		EditText {
			nounderline, noitalic, nobold,
			12,
			NoRed, NoGreen, NoBlue,			/* black color */
			FONT_HELV,
		},
		"",
		{44, 2, 60, 110},
		readonly, noboxed,
		StaticText {
			nounderline, noitalic, bold,
			12,
			NoRed, NoGreen, FullBlue,		/* blue color */
			FONT_HELV,
			"Location:",
		},
		"l",
		{44, 114, 60, 298},
		readwrite, noboxed,
		EditText {
			nounderline, noitalic, nobold,
			12,
			NoRed, NoGreen, NoBlue,			/* black color */
			FONT_HELV,
		},
		"",
		{64, 2, 80, 110},
		readonly, noboxed,
		StaticText {
			nounderline, noitalic, bold,
			12,
			NoRed, NoGreen, FullBlue,		/* blue color */
			FONT_HELV,
			"Address:",
		},
		"postalAddress",
		{64, 114, 80, 298},
		readwrite, noboxed,
		EditText {
			nounderline, noitalic, nobold,
			12,
			NoRed, NoGreen, NoBlue,			/* black color */
			FONT_HELV,
		},
		"",
		{84, 2, 100, 110},
		readonly, noboxed,
		StaticText {
			nounderline, noitalic, bold,
			12,
			NoRed, NoGreen, FullBlue,		/* blue color */
			FONT_HELV,
			"Phone Number:",
		},
		"telephoneNumber",
		{84, 114, 100, 298},
		readwrite, noboxed,
		EditText {
			nounderline, noitalic, nobold,
			12,
			NoRed, NoGreen, NoBlue,			/* black color */
			FONT_HELV,
		},
		"",
		{104, 2, 120, 110},
		readonly, noboxed,
		StaticText {
			nounderline, noitalic, bold,
			12,
			NoRed, NoGreen, FullBlue,		/* blue color */
			FONT_HELV,
			"Fax Phone:",
		},
		"facsimileTelephoneNumber",
		{104, 114, 120, 298},
		readwrite, noboxed,
		EditText {
			nounderline, noitalic, nobold,
			12,
			NoRed, NoGreen, NoBlue,			/* black color */
			FONT_HELV,
		},
		"",
		{124, 2, 140, 110},
		readonly, noboxed,
		StaticText {
			nounderline, noitalic, bold,
			12,
			NoRed, NoGreen, FullBlue,		/* blue color */
			FONT_HELV,
			"Manager:",
		},
		"manager",
		{124, 114, 140, 298},
		readwrite, noboxed,
		EditText {
			nounderline, noitalic, nobold,
			12,
			NoRed, NoGreen, NoBlue,			/* black color */
			FONT_HELV,
		},
		"",
		{144, 2, 160, 110},
		readonly, noboxed,
		StaticText {
			nounderline, noitalic, bold,
			12,
			NoRed, NoGreen, FullBlue,		/* blue color */
			FONT_HELV,
			"See Also:",
		},
		"seeAlso",
		{144, 114, 160, 298},
		readwrite, noboxed,
		EditText {
			nounderline, noitalic, nobold,
			12,
			NoRed, NoGreen, NoBlue,			/* black color */
			FONT_HELV,
		},
	}
};
	


resource 'octp' (5) {
	0,										/* version number */
	"UM Person Updates",					/* template name */
	{
	},
	{										/* list of attribute defaults when adding */
	},
	"",										/* attribute to authenticate as */
	"",										/* default location for add/new */
	"",										/* default RDN attribute for add/new */
	426,									/* horizontal size */
	222,									/* vertical size */
	notaddable,
	fixedsize,
	multitem,
	modal,
	{
		"",
		{1, 3, 49, 421},
		readonly, noboxed,
		StaticText {
			nounderline, noitalic, nobold,
			12,
			NoRed, NoGreen, NoBlue,			/* black color */
			0,
			"The following X.500 Directory fields are derived "
			"from the U-M administrative databases:\n  name, title, "
			"business and home addresses and phone numbers."
		},
		"",
		{56, 3, 120, 421},
		readonly, noboxed,
		StaticText {
			nounderline, noitalic, nobold,
			12,
			NoRed, NoGreen, NoBlue,			/* black color */
			0,
			"Updates of staff and faculty data to X.500 are "
			"done each month; student information is updated "
			"several times each term. "
			"If you modify any of the above fields, your "
			"changes will be overwritten during the next "
			"update UNLESS you check the "
			"box below."

		},
		"noBatchUpdates",
		{127, 4, 145, 421},
		readwrite, noboxed,
		CheckBox {
			deactivate,
			default,
			defaultfalse,
			NoRed, NoGreen, NoBlue,			/* black color */
			"Do Not Update My Entry From Personnel or The Registrar",
		},
		"",
		{152, 4, 200, 421},
		readonly, noboxed,
		StaticText {
			nounderline, noitalic, nobold,
			12,
			NoRed, NoGreen, NoBlue,			/* black color */
			0,
			"If you are faculty or staff, you should submit "
			"form 30005 to Personnel to update your information "
			"there.  Students should contact the Registrars Office."
		},
		"",
		{198, 340, 218, 410},
		readwrite, noboxed,
		Button {
			nochangelabel,
			noexec,
			deactivate,
			nonextval,
			close,					/* close window when pushed */
			nobool,
			nodefault,
			defaultfalse,
			noadddnvals,
			nocopyvals,
			"OK",				/* button label */
			"",	
			"",
		},

	}
};


resource 'octp' (6) {
	0,										/* version number */
	"UM Person's Groups",					/* template name */
	{
	},
	{										/* list of attribute defaults when adding */
	},
	"",										/* attribute to authenticate as */
	"",										/* default location for add/new */
	"cn",									/* default RDN attribute for add/new */
	450,									/* horizontal size */
	109,									/* vertical size */
	notaddable,
	autosize,
	multitem,
	modeless,
	{
		"",
		{2, 4, 66, 448},
		readonly, noboxed,
		StaticText {
			nounderline, noitalic, nobold,
			12,
			NoRed, NoGreen, NoBlue,		/* black color */
			FONT_GENEVA,
			"Below is a list of groups this person is subscribed to (they may be a "
			"member of other groups if they have been explicitly added by the "
			"group owner).  To join a group, click on the Join button.  To resign "
			"from a group, click on the list below and delete the appropriate line."
		},
		"",		/* dividing line */
		{67, -1, 68, 2000},
		readonly, boxed,
		StaticText {
			nounderline, noitalic, bold,
			12,
			NoRed, NoGreen, NoBlue,			/* black color */
			FONT_HELV,
			"",
		},
		"memberOfGroup",
		{87, 8, 107, 63},
		readwrite, noboxed,
		Button {
			nochangelabel,
			noexec,
			deactivate,
			nonextval,
			noclose,
			nobool,
			nodefault,
			defaultfalse,
			adddnvals,
			nocopyvals,
			"Join",				/* button label */
			"^1 is already a member of \"^0\".",	/* "duplicate" error message */
			"001/Join Groups",		/* allow adding of joinable groups only / dialog
										title (first word is action) */
		},
		
		"",
		{71, 4, 87, 105},
		readonly, noboxed,
		StaticText {
			nounderline, noitalic, bold,
			12,
			NoRed, NoGreen, FullBlue,		/* blue color */
			FONT_HELV,
			"Subscribed To:",
		},
		"memberOfGroup",
		{71, 107, 103, 448},
		readwrite, noboxed,
		EditText {
			nounderline, noitalic, nobold,
			12,
			NoRed, NoGreen, NoBlue,			/* black color */
			FONT_HELV,
		},
	}
};


resource 'octp' (7) {
	0,										/* version number */
	"JPEG Photo",							/* template name */
	{
	},
	{										/* list of attribute defaults when adding */
	},
	"",										/* attribute to authenticate as */
	"",										/* default location for add/new */
	"",										/* default RDN attribute for add/new */
	0,									/* horizontal size (ignored)*/
	0,									/* vertical size (ignored) */
	notaddable,
	fixedsize,			/* over-ridden by "oneitem" option anyways */
	oneitem,
	modeless,
	{
		"jpegPhoto",
		{0, 0, 0, 0},
		readonly, noboxed,
		Image {
		},
	}
};


resource 'octp' (8) {
	0,										/* version number */
	"Fax Photo",							/* template name */
	{
	},
	{										/* list of attribute defaults when adding */
	},
	"",										/* attribute to authenticate as */
	"",										/* default location for add/new */
	"",										/* default RDN attribute for add/new */
	0,									/* horizontal size (ignored)*/
	0,									/* vertical size (ignored) */
	notaddable,
	fixedsize,			/* over-ridden by "oneitem" option anyways */
	oneitem,
	modeless,
	{
		"photo",
		{0, 0, 0, 0},
		readonly, noboxed,
		Image {
		},
	}
};


resource 'octp' (9) {
	0,										/* version number */
	"Group",							/* template name */
	{
		"rfc822MailGroup",					/* associated object classes */
	},
	{										/* list of attribute defaults when adding */
		"owner", "d",
		"errorsTo", "d",
		"requestsTo", "d",
		"member", "d",
		"joinable", "c/FALSE",
		"associatedDomain", "c/umich.edu",
	},
	"owner",								/* attribute to authenticate as */
	"ou=User Groups, ou=Groups, o=University of Michigan, c=US",	/* default location for add/new */
	"cn",									/* default RDN attribute for add/new */
	382,									/* horizontal size */
	302,									/* vertical size */
	addable,
	autosize,
	multitem,
	modeless,
	{
		"-dn-",
		{2, 2, 18, 298},
		readonly, noboxed,
		EditText {
			nounderline, noitalic, bold,
			12,
			NoRed, NoGreen, NoBlue,			/* black color */
			FONT_HELV,
		},
		"",		/* dividing line */
		{18, -1, 21, 2000},
		readonly, boxed,
		StaticText {
			nounderline, noitalic, bold,
			12,
			NoRed, NoGreen, NoBlue,			/* black color */
			FONT_HELV,
			"",
		},
		"joinable",					/* enable only if this is TRUE */
		{22, 320, 42, 380},
		readwrite, noboxed,
		Button {
			nochangelabel,
			noexec,
			deactivate,
			nonextval,
			noclose,
			bool,
			default,
			defaultfalse,
			noadddnvals,
			copyvals,
			"Join",						/* button label */
			"Subscribe ^0 to the group \"^1\"?/^0 is already a member of \"^1.\"",
			"-dn-/memberOfGroup",		/* src attribute / destination attr. */
		},
		"",
		{24, 2, 40, 110},
		readonly, noboxed,
		StaticText {
			nounderline, noitalic, bold,
			12,
			NoRed, NoGreen, FullBlue,		/* blue color */
			FONT_HELV,
			"Also Known As:",
		},
		"cn",
		{24, 114, 40, 298},
		readwrite, noboxed,
		EditText {
			nounderline, noitalic, nobold,
			12,
			NoRed, NoGreen, NoBlue,			/* black color */
			FONT_HELV,
		},
		"",
		{44, 2, 60, 110},
		readonly, noboxed,
		StaticText {
			nounderline, noitalic, bold,
			12,
			NoRed, NoGreen, FullBlue,		/* blue color */
			FONT_HELV,
			"Owner:",
		},
		"owner",
		{44, 114, 60, 298},
		readwrite, noboxed,
		EditText {
			nounderline, noitalic, nobold,
			12,
			NoRed, NoGreen, NoBlue,			/* black color */
			FONT_HELV,
		},
		"",
		{64, 2, 76, 110},
		readonly, noboxed,
		StaticText {
			nounderline, noitalic, bold,
			12,
			NoRed, NoGreen, FullBlue,		/* blue color */
			FONT_HELV,
			"Last Modified:",
		},
		"lastModifiedTime",
		{64, 114, 80, 298},
		readonly, noboxed,
		EditText {
			nounderline, noitalic, nobold,
			12,
			NoRed, NoGreen, NoBlue,			/* black color */
			FONT_HELV,
		},
		"",
		{84, 2, 100, 110},
		readonly, noboxed,
		StaticText {
			nounderline, noitalic, bold,
			12,
			NoRed, NoGreen, FullBlue,		/* blue color */
			FONT_HELV,
			"Modified By:",
		},
		"lastModifiedBy",
		{84, 114, 100, 298},
		readonly, noboxed,
		EditText {
			nounderline, noitalic, nobold,
			12,
			NoRed, NoGreen, NoBlue,			/* black color */
			FONT_HELV,
		},
		"",
		{104, 2, 120, 110},
		readonly, noboxed,
		StaticText {
			nounderline, noitalic, bold,
			12,
			NoRed, NoGreen, FullBlue,		/* blue color */
			FONT_HELV,
			"Description:",
		},
		"multiLineDescription",
		{104, 114, 120, 298},
		readwrite, noboxed,
		EditText {
			nounderline, noitalic, nobold,
			12,
			NoRed, NoGreen, NoBlue,			/* black color */
			FONT_HELV,
		},
		"",
		{124, 2, 140, 110},
		readonly, noboxed,
		StaticText {
			nounderline, noitalic, bold,
			12,
			NoRed, NoGreen, FullBlue,		/* blue color */
			FONT_HELV,
			"Send Errors To:",
		},
		"errorsTo",
		{124, 114, 140, 298},
		readwrite, noboxed,
		EditText {
			nounderline, noitalic, nobold,
			12,
			NoRed, NoGreen, NoBlue,			/* black color */
			FONT_HELV,
		},
		"",
		{144, 2, 160, 110},
		readonly, noboxed,
		StaticText {
			nounderline, noitalic, bold,
			12,
			NoRed, NoGreen, FullBlue,		/* blue color */
			FONT_HELV,
			"Requests To:",
		},
		"requestsTo",
		{144, 114, 160, 298},
		readwrite, noboxed,
		EditText {
			nounderline, noitalic, nobold,
			12,
			NoRed, NoGreen, NoBlue,			/* black color */
			FONT_HELV,
		},
		"",
		{164, 2, 180, 110},
		readonly, noboxed,
		StaticText {
			nounderline, noitalic, bold,
			12,
			NoRed, NoGreen, FullBlue,		/* blue color */
			FONT_HELV,
			"Assoc. Domain:",
		},
		"associatedDomain",
		{164, 114, 180, 298},
		readwrite, noboxed,
		EditText {
			nounderline, noitalic, nobold,
			12,
			NoRed, NoGreen, NoBlue,			/* black color */
			FONT_HELV,
		},
		"joinable",
		{184, 2, 198, 230},
		readwrite, noboxed,
		CheckBox {
			deactivate,
			default,
			defaultfalse,
			NoRed, NoGreen, FullBlue,		/* blue color */
			"Allow Others To Join This Group",
		},
		"member",
		{220, 8, 240, 57},
		readwrite, noboxed,
		Button {
			nochangelabel,
			noexec,
			deactivate,
			nonextval,
			noclose,
			nobool,
			nodefault,
			defaultfalse,
			adddnvals,
			nocopyvals,
			"Add",					/* button label */
			"^0 is already a member of \"^1\".",	/* "duplicate" error msg */
			"11/Add X.500 Members",	/* allow adding of people and groups /
										dialog title (first word is action) */
		},
		"",
		{204, 2, 220, 110},
		readonly, noboxed,
		StaticText {
			nounderline, noitalic, bold,
			12,
			NoRed, NoGreen, FullBlue,		/* blue color */
			FONT_HELV,
			"X.500 Members:",
		},
		"member",
		{204, 114, 240, 298},
		readwrite, noboxed,
		EditText {
			nounderline, noitalic, nobold,
			12,
			NoRed, NoGreen, NoBlue,			/* black color */
			FONT_HELV,
		},
		"",
		{244, 2, 260, 110},
		readonly, noboxed,
		StaticText {
			nounderline, noitalic, bold,
			12,
			NoRed, NoGreen, FullBlue,		/* blue color */
			FONT_HELV,
			"E-mail Members:",
		},
		"mail",
		{244, 114, 260, 298},
		readwrite, noboxed,
		EditText {
			nounderline, noitalic, nobold,
			12,
			NoRed, NoGreen, NoBlue,			/* black color */
			FONT_HELV,
		},
		"",
		{264, 2, 280, 110},
		readonly, noboxed,
		StaticText {
			nounderline, noitalic, bold,
			12,
			NoRed, NoGreen, FullBlue,		/* blue color */
			FONT_HELV,
			"E-mail Errs. To:",
		},
		"rfc822ErrorsTo",
		{264, 114, 280, 298},
		readwrite, noboxed,
		EditText {
			nounderline, noitalic, nobold,
			12,
			NoRed, NoGreen, NoBlue,			/* black color */
			FONT_HELV,
		},
		"",
		{284, 2, 300, 110},
		readonly, noboxed,
		StaticText {
			nounderline, noitalic, bold,
			12,
			NoRed, NoGreen, FullBlue,		/* blue color */
			FONT_HELV,
			"E-mail Reqs. To:",
		},
		"rfc822RequestsTo",
		{284, 114, 300, 298},
		readwrite, noboxed,
		EditText {
			nounderline, noitalic, nobold,
			12,
			NoRed, NoGreen, NoBlue,			/* black color */
			FONT_HELV,
		},
	}
};


resource 'octp' (10) {
	0,										/* version number */
	"Image",								/* template name */
	{
		"image",							/* associated object classes */
	},
	{										/* list of attribute defaults when adding */
		"owner", "d",
	},
	"owner",								/* attribute to authenticate as */
	"ou=AOSS Images, ou=Experimental, o=University of Michigan, c=US",	/* default location for add/new */
	"cn",									/* default RDN attribute for add/new */
	602,									/* horizontal size */
	238,									/* vertical size */
	addable,
	autosize,
	multitem,
	modeless,
	{
		"-dn-",
		{2, 4, 18, 298},
		readonly, noboxed,
		EditText {
			nounderline, noitalic, bold,
			12,
			NoRed, NoGreen, NoBlue,			/* black color */
			FONT_HELV,
		},
		"",		/* dividing line */
		{18, -1, 21, 2000},
		readonly, boxed,
		StaticText {
			nounderline, noitalic, bold,
			12,
			NoRed, NoGreen, NoBlue,			/* black color */
			FONT_HELV,
			"",
		},
		"jpegPhoto",
		{23, 420, 203, 600},
		readonly, noboxed,
		Image {
		},
		"",
		{24, 2, 40, 90},
		readonly, noboxed,
		StaticText {
			nounderline, noitalic, bold,
			12,
			NoRed, NoGreen, FullBlue,		/* blue color */
			FONT_HELV,
			"Keywords:",
		},
		"keywords",
		{24, 94, 40, 418},
		readwrite, noboxed,
		EditText {
			nounderline, noitalic, nobold,
			12,
			NoRed, NoGreen, NoBlue,			/* black color */
			FONT_HELV,
		},
		"",
		{44, 2, 76, 90},
		readonly, noboxed,
		StaticText {
			nounderline, noitalic, bold,
			12,
			NoRed, NoGreen, FullBlue,		/* blue color */
			FONT_HELV,
			"Predominant Colors:",
		},
		"predominantColor",
		{44, 94, 76, 418},
		readwrite, noboxed,
		EditText {
			nounderline, noitalic, nobold,
			12,
			NoRed, NoGreen, NoBlue,			/* black color */
			FONT_HELV,
		},
		"",
		{80, 2, 96, 90},
		readonly, noboxed,
		StaticText {
			nounderline, noitalic, bold,
			12,
			NoRed, NoGreen, FullBlue,		/* blue color */
			FONT_HELV,
			"Description:",
		},
		"multiLineDescription",
		{80, 94, 96, 418},
		readwrite, noboxed,
		EditText {
			nounderline, noitalic, nobold,
			12,
			NoRed, NoGreen, NoBlue,			/* black color */
			FONT_HELV,
		},
		"",
		{100, 2, 116, 90},
		readonly, noboxed,
		StaticText {
			nounderline, noitalic, bold,
			12,
			NoRed, NoGreen, FullBlue,		/* blue color */
			FONT_HELV,
			"Citation:",
		},
		"citation",
		{100, 94, 116, 418},
		readwrite, noboxed,
		EditText {
			nounderline, noitalic, nobold,
			12,
			NoRed, NoGreen, NoBlue,			/* black color */
			FONT_HELV,
		},
		"",
		{120, 2, 136, 90},
		readonly, noboxed,
		StaticText {
			nounderline, noitalic, bold,
			12,
			NoRed, NoGreen, FullBlue,		/* blue color */
			FONT_HELV,
			"Copyright:",
		},
		"copyright",
		{120, 94, 136, 418},
		readwrite, noboxed,
		EditText {
			nounderline, noitalic, nobold,
			12,
			NoRed, NoGreen, NoBlue,			/* black color */
			FONT_HELV,
		},
		"",
		{200, 2, 216, 90},
		readonly, noboxed,
		StaticText {
			nounderline, noitalic, bold,
			12,
			NoRed, NoGreen, FullBlue,		/* blue color */
			FONT_HELV,
			"Submitter:",
		},
		"owner",
		{200, 94, 216, 418},
		readwrite, noboxed,
		EditText {
			nounderline, noitalic, nobold,
			12,
			NoRed, NoGreen, NoBlue,			/* black color */
			FONT_HELV,
		},
		"",
		{220, 2, 236, 90},
		readonly, noboxed,
		StaticText {
			nounderline, noitalic, bold,
			12,
			NoRed, NoGreen, FullBlue,		/* blue color */
			FONT_HELV,
			"File Info:",
		},
		"imageFiles",
		{220, 94, 236, 418},
		readwrite, noboxed,
		EditText {
			nounderline, noitalic, nobold,
			12,
			NoRed, NoGreen, NoBlue,			/* black color */
			FONT_HELV,
		},
	}
};


resource 'octp' (11) {
	0,										/* version number */
	"File Info",							/* template name */
	{
		"imageFile",						/* associated object classes */
	},
	{										/* list of attribute defaults when adding */
	},
	"",										/* attribute to authenticate as */
	"",										/* default location for add/new */
	"cn",										/* default RDN attribute for add/new */
	472,									/* horizontal size */
	124,									/* vertical size */
	addable,
	autosize,
	multitem,
	modeless,
	{
		"-dn-",
		{2, 4, 18, 298},
		readonly, noboxed,
		EditText {
			nounderline, noitalic, bold,
			12,
			NoRed, NoGreen, NoBlue,			/* black color */
			FONT_HELV,
		},
		"",		/* dividing line */
		{18, -1, 21, 2000},
		readonly, boxed,
		StaticText {
			nounderline, noitalic, bold,
			12,
			NoRed, NoGreen, NoBlue,			/* black color */
			FONT_HELV,
			"",
		},
		"seeAlso",
		{23, 350, 43, 470},
		readwrite, noboxed,
		Button {
			changelabel,
			exec,
			deactivate,
			nextval,
			noclose,
			nobool,
			nodefault,
			defaultfalse,
			noadddnvals,
			nocopyvals,
			"View Image Info",				/* button label */
			"Next Image Info",	
			"",
		},
		"",
		{24, 2, 40, 110},
		readonly, noboxed,
		StaticText {
			nounderline, noitalic, bold,
			12,
			NoRed, NoGreen, FullBlue,		/* blue color */
			FONT_HELV,
			"File Type:",
		},
		"fileFormat",
		{24, 114, 40, 164},
		readwrite, noboxed,
		EditText {
			nounderline, noitalic, nobold,
			12,
			NoRed, NoGreen, NoBlue,			/* black color */
			FONT_HELV,
		},
		"",
		{24, 170, 40, 290},
		readonly, noboxed,
		StaticText {
			nounderline, noitalic, bold,
			12,
			NoRed, NoGreen, FullBlue,		/* blue color */
			FONT_HELV,
			"Width (pixels):",
		},
		"width",
		{24, 294, 40, 344},
		readwrite, noboxed,
		EditText {
			nounderline, noitalic, nobold,
			12,
			NoRed, NoGreen, NoBlue,			/* black color */
			FONT_HELV,
		},
		"",
		{44, 2, 60, 110},
		readonly, noboxed,
		StaticText {
			nounderline, noitalic, bold,
			12,
			NoRed, NoGreen, FullBlue,		/* blue color */
			FONT_HELV,
			"Size (bytes):",
		},
		"fileSize",
		{44, 114, 60, 164},
		readwrite, noboxed,
		EditText {
			nounderline, noitalic, nobold,
			12,
			NoRed, NoGreen, NoBlue,			/* black color */
			FONT_HELV,
		},
		"",
		{44, 170, 60, 290},
		readonly, noboxed,
		StaticText {
			nounderline, noitalic, bold,
			12,
			NoRed, NoGreen, FullBlue,		/* blue color */
			FONT_HELV,
			"Height (pixels):",
		},
		"height",
		{44, 294, 60, 344},
		readwrite, noboxed,
		EditText {
			nounderline, noitalic, nobold,
			12,
			NoRed, NoGreen, NoBlue,			/* black color */
			FONT_HELV,
		},

		"",
		{64, 2, 80, 110},
		readonly, noboxed,
		StaticText {
			nounderline, noitalic, bold,
			12,
			NoRed, NoGreen, FullBlue,		/* blue color */
			FONT_HELV,
			"Resolution (dpi):",
		},
		"resolution",
		{64, 114, 80, 164},
		readwrite, noboxed,
		EditText {
			nounderline, noitalic, nobold,
			12,
			NoRed, NoGreen, NoBlue,			/* black color */
			FONT_HELV,
		},
		"",
		{64, 170, 80, 290},
		readonly, noboxed,
		StaticText {
			nounderline, noitalic, bold,
			12,
			NoRed, NoGreen, FullBlue,		/* blue color */
			FONT_HELV,
			"Depth:",
		},
		"colorDepth",
		{64, 294, 80, 344},
		readwrite, noboxed,
		EditText {
			nounderline, noitalic, nobold,
			12,
			NoRed, NoGreen, NoBlue,			/* black color */
			FONT_HELV,
		},

		"",
		{84, 2, 100, 110},
		readonly, noboxed,
		StaticText {
			nounderline, noitalic, bold,
			12,
			NoRed, NoGreen, FullBlue,		/* blue color */
			FONT_HELV,
			"Image Info:",
		},
		"seeAlso",
		{84, 114, 100, 398},
		readwrite, noboxed,
		EditText {
			nounderline, noitalic, nobold,
			12,
			NoRed, NoGreen, NoBlue,			/* black color */
			FONT_HELV,
		},
		"documentLocation",
		{102, 67, 122, 109},
		readwrite, noboxed,
		Button {
			nochangelabel,
			exec,
			deactivate,
			nonextval,
			noclose,
			nobool,
			nodefault,
			defaultfalse,
			noadddnvals,
			nocopyvals,
			"View",				/* button label */
			"",	
			"",
		},
		"",
		{104, 2, 120, 66},
		readonly, noboxed,
		StaticText {
			nounderline, noitalic, bold,
			12,
			NoRed, NoGreen, FullBlue,		/* blue color */
			FONT_HELV,
			"Location:",
		},
		"documentLocation",
		{104, 114, 120, 398},
		readwrite, noboxed,
		EditText {
			nounderline, noitalic, nobold,
			12,
			NoRed, NoGreen, NoBlue,			/* black color */
			FONT_HELV,
		},
	}
};


resource 'octp' (12) {
	0,										/* version number */
	"Document",								/* template name */
	{
		"document",							/* associated object classes */
	},
	{										/* list of attribute defaults when adding */
		"documentAuthor", "d",
	},
	"",									/* attribute to authenticate as */
	"ou=Documents, ou=Experimental, o=University of Michigan, c=US",	/* default location for add/new */
	"cn",									/* default RDN attribute for add/new */
	300,									/* horizontal size */
	202,									/* vertical size */
	addable,
	autosize,
	multitem,
	modeless,
	{
		"-dn-",
		{2, 2, 18, 500},
		readonly, noboxed,
		EditText {
			nounderline, noitalic, bold,
			12,
			NoRed, NoGreen, NoBlue,			/* black color */
			FONT_HELV,
		},
		"",		/* dividing line */
		{18, -1, 21, 2000},
		readonly, boxed,
		StaticText {
			nounderline, noitalic, bold,
			12,
			NoRed, NoGreen, NoBlue,			/* black color */
			FONT_HELV,
			"",
		},
		"",
		{24, 2, 40, 110},
		readonly, noboxed,
		StaticText {
			nounderline, noitalic, bold,
			12,
			NoRed, NoGreen, FullBlue,		/* blue color */
			FONT_HELV,
			"Also Known As:",
		},
		"cn",
		{24, 114, 40, 298},
		readwrite, noboxed,
		EditText {
			nounderline, noitalic, nobold,
			12,
			NoRed, NoGreen, NoBlue,			/* black color */
			FONT_HELV,
		},
		"",
		{44, 2, 60, 110},
		readonly, noboxed,
		StaticText {
			nounderline, noitalic, bold,
			12,
			NoRed, NoGreen, FullBlue,		/* blue color */
			FONT_HELV,
			"Description:",
		},
		"description",
		{44, 114, 60, 298},
		readwrite, noboxed,
		EditText {
			nounderline, noitalic, nobold,
			12,
			NoRed, NoGreen, NoBlue,			/* black color */
			FONT_HELV,
		},
		"",
		{64, 2, 76, 110},
		readonly, noboxed,
		StaticText {
			nounderline, noitalic, bold,
			12,
			NoRed, NoGreen, FullBlue,		/* blue color */
			FONT_HELV,
			"Identifier:",
		},
		"documentIdentifier",
		{64, 114, 80, 298},
		readwrite, noboxed,
		EditText {
			nounderline, noitalic, nobold,
			12,
			NoRed, NoGreen, NoBlue,			/* black color */
			FONT_HELV,
		},
		"",
		{84, 2, 100, 110},
		readonly, noboxed,
		StaticText {
			nounderline, noitalic, bold,
			12,
			NoRed, NoGreen, FullBlue,		/* blue color */
			FONT_HELV,
			"Full Title:",
		},
		"documentTitle",
		{84, 114, 100, 298},
		readwrite, noboxed,
		EditText {
			nounderline, noitalic, nobold,
			12,
			NoRed, NoGreen, NoBlue,			/* black color */
			FONT_HELV,
		},
		"",
		{104, 2, 120, 110},
		readonly, noboxed,
		StaticText {
			nounderline, noitalic, bold,
			12,
			NoRed, NoGreen, FullBlue,		/* blue color */
			FONT_HELV,
			"Author:",
		},
		"documentAuthor",
		{104, 114, 120, 298},
		readwrite, noboxed,
		EditText {
			nounderline, noitalic, nobold,
			12,
			NoRed, NoGreen, NoBlue,			/* black color */
			FONT_HELV,
		},
		"",
		{124, 2, 140, 110},
		readonly, noboxed,
		StaticText {
			nounderline, noitalic, bold,
			12,
			NoRed, NoGreen, FullBlue,		/* blue color */
			FONT_HELV,
			"Version:",
		},
		"documentVersion",
		{124, 114, 140, 298},
		readwrite, noboxed,
		EditText {
			nounderline, noitalic, nobold,
			12,
			NoRed, NoGreen, NoBlue,			/* black color */
			FONT_HELV,
		},
		"",
		{144, 2, 160, 110},
		readonly, noboxed,
		StaticText {
			nounderline, noitalic, bold,
			12,
			NoRed, NoGreen, FullBlue,		/* blue color */
			FONT_HELV,
			"Keywords:",
		},
		"keywords",
		{144, 114, 160, 298},
		readwrite, noboxed,
		EditText {
			nounderline, noitalic, nobold,
			12,
			NoRed, NoGreen, NoBlue,			/* black color */
			FONT_HELV,
		},
		"documentLocation",
		{162, 67, 182, 109},
		readwrite, noboxed,
		Button {
			nochangelabel,
			exec,
			deactivate,
			nonextval,
			noclose,
			nobool,
			nodefault,
			defaultfalse,
			noadddnvals,
			nocopyvals,
			"View",				/* button label */
			"",	
			"",
		},
		"",
		{164, 2, 180, 66},
		readonly, noboxed,
		StaticText {
			nounderline, noitalic, bold,
			12,
			NoRed, NoGreen, FullBlue,		/* blue color */
			FONT_HELV,
			"Location:",
		},
		"documentLocation",
		{164, 114, 180, 298},
		readwrite, noboxed,
		EditText {
			nounderline, noitalic, nobold,
			12,
			NoRed, NoGreen, NoBlue,			/* black color */
			FONT_HELV,
		},
		"",
		{184, 2, 200, 110},
		readonly, noboxed,
		StaticText {
			nounderline, noitalic, bold,
			12,
			NoRed, NoGreen, FullBlue,		/* blue color */
			FONT_HELV,
			"See Also:",
		},
		"seeAlso",
		{184, 114, 200, 298},
		readwrite, noboxed,
		EditText {
			nounderline, noitalic, nobold,
			12,
			NoRed, NoGreen, NoBlue,			/* black color */
			FONT_HELV,
		},
	}
};


resource 'octp' (13) {
	0,										/* version number */
	"X.500 Entry",							/* template name */
	{
	},
	{										/* list of attribute defaults when adding */
	},
	"",										/* attribute to authenticate as */
	"",										/* default location for add/new */
	"",										/* default RDN attribute for add/new */
	400,									/* horizontal size */
	298,									/* vertical size */
	notaddable,
	autosize,
	multitem,
	modeless,
	{
		"-dn-",
		{2, 4, 18, 300},
		readonly, noboxed,
		EditText {
			nounderline, noitalic, bold,
			12,
			NoRed, NoGreen, NoBlue,			/* black color */
			FONT_HELV,
		},
		"",		/* dividing line */
		{18, -1, 21, 2000},
		readonly, boxed,
		StaticText {
			nounderline, noitalic, bold,
			12,
			NoRed, NoGreen, NoBlue,			/* black color */
			FONT_HELV,
			"",
		},
		"jpegPhoto",
		{23, 4, 43, 89},
		readwrite, noboxed,
		Button {
			changelabel,
			noexec,
			deactivate,
			nextval,
			noclose,
			nobool,
			nodefault,
			defaultfalse,
			noadddnvals,
			nocopyvals,
			"View Photo",				/* button label */
			"Next Photo",	
			"JPEG Photo",
		},
		"audio",
		{23, 95, 43, 180},
		readwrite, noboxed,
		Button {
			changelabel,
			exec,
			deactivate,
			nextval,
			noclose,
			nobool,
			nodefault,
			defaultfalse,
			noadddnvals,
			nocopyvals,
			"Play Sound",				/* button label */
			"Next Sound",	
			"",
		},
		"photo",
		{23, 186, 43, 296},
		readwrite, noboxed,
		Button {
			changelabel,
			noexec,
			hide,
			nextval,
			noclose,
			nobool,
			nodefault,
			defaultfalse,
			noadddnvals,
			nocopyvals,
			"View Fax Photo",				/* button label */
			"Next Fax Photo",	
			"Fax Photo",
		},
		"",		/* dividing line */
		{45, -1, 48, 2000},
		readonly, boxed,
		StaticText {
			nounderline, noitalic, bold,
			12,
			NoRed, NoGreen, NoBlue,			/* black color */
			FONT_HELV,
			"",
		},
		"",
		{51, 4, 67, 123},
		readonly, noboxed,
		StaticText {
			nounderline, noitalic, bold,
			12,
			NoRed, NoGreen, FullBlue,		/* blue color */
			FONT_HELV,
			"Also Known As:",
		},
		"cn",
		{51, 125, 67, 398},
		readonly, noboxed,
		EditText {
			nounderline, noitalic, nobold,
			12,
			NoRed, NoGreen, NoBlue,			/* black color */
			FONT_HELV,
		},
		"",
		{72, 4, 88, 123},
		readonly, noboxed,
		StaticText {
			nounderline, noitalic, bold,
			12,
			NoRed, NoGreen, FullBlue,		/* blue color */
			FONT_HELV,
			"E-mail address:",
		},
		"mail",
		{72, 125, 88, 398},
		readwrite, noboxed,
		EditText {
			nounderline, noitalic, nobold,
			12,
			NoRed, NoGreen, NoBlue,			/* black color */
			FONT_HELV,
		},
		"",
		{93, 4, 109, 123},
		readonly, noboxed,
		StaticText {
			nounderline, noitalic, bold,
			12,
			NoRed, NoGreen, FullBlue,		/* blue color */
			FONT_HELV,
			"Business phone:",
		},
		"telephoneNumber",
		{93, 125, 109, 398},
		readwrite, noboxed,
		EditText {
			nounderline, noitalic, nobold,
			12,
			NoRed, NoGreen, NoBlue,			/* black color */
			FONT_HELV,
		},
		"",
		{114, 4, 130, 123},
		readonly, noboxed,
		StaticText {
			nounderline, noitalic, bold,
			12,
			NoRed, NoGreen, FullBlue,		/* blue color */
			FONT_HELV,
			"Fax phone:",
		},
		"facsimileTelephoneNumber",
		{114, 125, 130, 398},
		readwrite, noboxed,
		EditText {
			nounderline, noitalic, nobold,
			12,
			NoRed, NoGreen, NoBlue,			/* black color */
			FONT_HELV,
		},
		"",
		{135, 4, 151, 123},
		readonly, noboxed,
		StaticText {
			nounderline, noitalic, bold,
			12,
			NoRed, NoGreen, FullBlue,		/* blue color */
			FONT_HELV,
			"Business address:",
		},
		"postalAddress",
		{135, 125, 151, 398},
		readwrite, noboxed,
		EditText {
			nounderline, noitalic, nobold,
			12,
			NoRed, NoGreen, NoBlue,			/* black color */
			FONT_HELV,
		},
		"",
		{156, 4, 172, 123},
		readonly, noboxed,
		StaticText {
			nounderline, noitalic, bold,
			12,
			NoRed, NoGreen, FullBlue,		/* blue color */
			FONT_HELV,
			"Title:",
		},
		"title",
		{156, 125, 172, 398},
		readwrite, noboxed,
		EditText {
			nounderline, noitalic, nobold,
			12,
			NoRed, NoGreen, NoBlue,			/* black color */
			FONT_HELV,
		},
		"",
		{177, 4, 193, 123},
		readonly, noboxed,
		StaticText {
			nounderline, noitalic, bold,
			12,
			NoRed, NoGreen, FullBlue,		/* blue color */
			FONT_HELV,
			"User ID:",
		},
		"uid",
		{177, 125, 193, 398},
		readonly, noboxed,
		EditText {
			nounderline, noitalic, nobold,
			12,
			NoRed, NoGreen, NoBlue,			/* black color */
			FONT_HELV,
		},
		"",
		{198, 4, 214, 123},
		readonly, noboxed,
		StaticText {
			nounderline, noitalic, bold,
			12,
			NoRed, NoGreen, FullBlue,		/* blue color */
			FONT_HELV,
			"Description:",
		},
		"description",
		{198, 125, 214, 398},
		readwrite, noboxed,
		EditText {
			nounderline, noitalic, nobold,
			12,
			NoRed, NoGreen, NoBlue,			/* black color */
			FONT_HELV,
		},
		"",
		{219, 4, 235, 123},
		readonly, noboxed,
		StaticText {
			nounderline, noitalic, bold,
			12,
			NoRed, NoGreen, FullBlue,		/* blue color */
			FONT_HELV,
			"Home phone:",
		},
		"homePhone",
		{219, 125, 235, 398},
		readwrite, noboxed,
		EditText {
			nounderline, noitalic, nobold,
			12,
			NoRed, NoGreen, NoBlue,			/* black color */
			FONT_HELV,
		},
		"",
		{240, 4, 256, 123},
		readonly, noboxed,
		StaticText {
			nounderline, noitalic, bold,
			12,
			NoRed, NoGreen, FullBlue,		/* blue color */
			FONT_HELV,
			"Home address:",
		},
		"homePostalAddress",
		{240, 125, 256, 398},
		readwrite, noboxed,
		EditText {
			nounderline, noitalic, nobold,
			12,
			NoRed, NoGreen, NoBlue,			/* black color */
			FONT_HELV,
		},
		"",
		{260, 4, 276, 123},
		readonly, noboxed,
		StaticText {
			nounderline, noitalic, bold,
			12,
			NoRed, NoGreen, FullBlue,		/* blue color */
			FONT_HELV,
			"See Also:",
		},
		"seeAlso",
		{260, 125, 276, 398},
		readwrite, noboxed,
		EditText {
			nounderline, noitalic, nobold,
			12,
			NoRed, NoGreen, NoBlue,			/* black color */
			FONT_HELV,
		},
		"",
		{280, 4, 296, 123},
		readonly, noboxed,
		StaticText {
			nounderline, noitalic, bold,
			12,
			NoRed, NoGreen, FullBlue,		/* blue color */
			FONT_HELV,
			"Favorite Drink:",
		},
		"drink",
		{280, 125, 296, 398},
		readwrite, noboxed,
		EditText {
			nounderline, noitalic, nobold,
			12,
			NoRed, NoGreen, NoBlue,			/* black color */
			FONT_HELV,
		},
	}
};



/*
 * old or unused template definitions
 */
#ifdef notdef
resource 'octp' (12) {
	0,										/* version number */
	"Hotel Guide",							/* template name */
	{
		"conferenceHotelGuide",				/* associated object classes */
	},
	402,									/* horizontal size */
	60,									/* vertical size */
	autosize,
	multitem,
	modeless,
	{
		"",
		{2, 2, 18, 90},
		readonly, noboxed,
		StaticText {
			nounderline, noitalic, bold,
			12,
			NoRed, NoGreen, FullBlue,		/* blue color */
			1,
			"Hotel Name:",
		},
		"hotelName",
		{2, 94, 18, 400},
		readwrite, noboxed,
		EditText {
			nounderline, noitalic, nobold,
			12,
			NoRed, NoGreen, NoBlue,			/* black color */
			1,
		},
		"",
		{22, 2, 38, 90},
		readonly, noboxed,
		StaticText {
			nounderline, noitalic, bold,
			12,
			NoRed, NoGreen, FullBlue,		/* blue color */
			1,
			"Hotel Rate:",
		},
		"hotelRate",
		{22, 94, 38, 400},
		readwrite, noboxed,
		EditText {
			nounderline, noitalic, nobold,
			12,
			NoRed, NoGreen, NoBlue,			/* black color */
			1,
		},
		"",
		{42, 2, 58, 90},
		readonly, noboxed,
		StaticText {
			nounderline, noitalic, bold,
			12,
			NoRed, NoGreen, FullBlue,		/* blue color */
			1,
			"Description:",
		},
		"description",
		{42, 94, 58, 418},
		readwrite, noboxed,
		EditText {
			nounderline, noitalic, nobold,
			12,
			NoRed, NoGreen, NoBlue,			/* black color */
			1,
		},
	}
};


resource 'octp' (13) {
	0,										/* version number */
	"Session",								/* template name */
	{
		"conferenceSessionGuide",			/* associated object classes */
	},
	402,									/* horizontal size */
	82,									/* vertical size */
	autosize,
	multitem,
	modeless,
	{
		"",
		{2, 2, 18, 90},
		readonly, noboxed,
		StaticText {
			nounderline, noitalic, bold,
			12,
			NoRed, NoGreen, FullBlue,		/* blue color */
			1,
			"Title:",
		},
		"sessionTitle",
		{2, 94, 18, 400},
		readwrite, noboxed,
		EditText {
			nounderline, noitalic, nobold,
			12,
			NoRed, NoGreen, NoBlue,			/* black color */
			1,
		},
		"",
		{22, 2, 38, 90},
		readonly, noboxed,
		StaticText {
			nounderline, noitalic, bold,
			12,
			NoRed, NoGreen, FullBlue,		/* blue color */
			1,
			"Date:",
		},
		"sessionDate",
		{22, 94, 38, 400},
		readwrite, noboxed,
		EditText {
			nounderline, noitalic, nobold,
			12,
			NoRed, NoGreen, NoBlue,			/* black color */
			1,
		},
		"",
		{42, 2, 58, 90},
		readonly, noboxed,
		StaticText {
			nounderline, noitalic, bold,
			12,
			NoRed, NoGreen, FullBlue,		/* blue color */
			1,
			"Location:",
		},
		"sessionPlace",
		{42, 94, 58, 418},
		readwrite, noboxed,
		EditText {
			nounderline, noitalic, nobold,
			12,
			NoRed, NoGreen, NoBlue,			/* black color */
			1,
		},
		"",
		{62, 2, 78, 90},
		readonly, noboxed,
		StaticText {
			nounderline, noitalic, bold,
			12,
			NoRed, NoGreen, FullBlue,		/* blue color */
			1,
			"Speaker:",
		},
		"speaker",
		{62, 94, 78, 418},
		readwrite, noboxed,
		EditText {
			nounderline, noitalic, nobold,
			12,
			NoRed, NoGreen, NoBlue,			/* black color */
			1,
		},
	}
};


resource 'octp' (14) {
	0,										/* version number */
	"Conference Person",					/* template name */
	{
		"conferencePersonGuide",			/* associated object classes */
	},
	402,									/* horizontal size */
	40,									/* vertical size */
	autosize,
	multitem,
	modeless,
	{
		"",
		{2, 2, 18, 90},
		readonly, noboxed,
		StaticText {
			nounderline, noitalic, bold,
			12,
			NoRed, NoGreen, FullBlue,		/* blue color */
			1,
			"Name:",
		},
		"authorCN",
		{2, 94, 18, 400},
		readwrite, noboxed,
		EditText {
			nounderline, noitalic, nobold,
			12,
			NoRed, NoGreen, NoBlue,			/* black color */
			1,
		},
		"",
		{22, 2, 38, 90},
		readonly, noboxed,
		StaticText {
			nounderline, noitalic, bold,
			12,
			NoRed, NoGreen, FullBlue,		/* blue color */
			1,
			"Organization:",
		},
		"authorO",
		{22, 94, 38, 400},
		readwrite, noboxed,
		EditText {
			nounderline, noitalic, nobold,
			12,
			NoRed, NoGreen, NoBlue,			/* black color */
			1,
		},
	}
};


resource 'octp' (1) {
	0,										/* version number */
	"UM Person",							/* template name */
	{
		"umichPerson",						/* associated object classes */
	},
	492,									/* horizontal size */
	295,									/* vertical size */
/*	505,									/* with photo vertical size */
	fixedsize,
	multitem,
	modeless,
	{
		"",
		{5, 3, 19, 31},
		readonly, noboxed,
		StaticText {
			nounderline, noitalic, nobold,
			12,
			NoRed, NoGreen, FullBlue,		/* blue color */
			1,
			"Title",
		},
		"title",
		{5, 52, 19, 490},
		readwrite, boxed,
		EditText {
			nounderline, noitalic, nobold,
			12,
			NoRed, NoGreen, NoBlue,			/* black color */
			1,
		},
		"",
		{29, 3, 43, 55},
		readonly, noboxed,
		StaticText {
			nounderline, noitalic, nobold,
			12,
			NoRed, NoGreen, FullBlue,		/* blue color */
			1,
			"Common",
		},
		"",
		{43, 14, 57, 55},
		readonly, noboxed,
		StaticText {
			nounderline, noitalic, nobold,
			12,
			NoRed, NoGreen, FullBlue,		/* blue color */
			1,
			"Names",
		},
		"cn",
		{29, 60, 85, 268},
		readwrite, boxed,
		EditText {
			nounderline, noitalic, nobold,
			12,
			NoRed, NoGreen, NoBlue,			/* black color */
			1,
		},
		"",
		{29, 277, 43, 338},
		readonly, noboxed,
		StaticText {
			nounderline, noitalic, nobold,
			12,
			NoRed, NoGreen, FullBlue,		/* blue color */
			1,
			"Fax Phone",
		},
		"facsimileTelephoneNumber",
		{28, 343, 42, 490},
		readwrite, boxed,
		EditText {
			nounderline, noitalic, nobold,
			12,
			NoRed, NoGreen, NoBlue,			/* black color */
			1,
		},
		"",
		{51, 285, 65, 338},
		readonly, noboxed,
		StaticText {
			nounderline, noitalic, nobold,
			12,
			NoRed, NoGreen, FullBlue,		/* blue color */
			1,
			"Business",
		},
		"",
		{64, 299, 78, 339},
		readonly, noboxed,
		StaticText {
			nounderline, noitalic, nobold,
			12,
			NoRed, NoGreen, FullBlue,		/* blue color */
			1,
			"Phone",
		},
		"telephoneNumber",
		{51, 343, 79, 490},
		readwrite, boxed,
		EditText {
			nounderline, noitalic, nobold,
			12,
			NoRed, NoGreen, NoBlue,			/* black color */
			1,
		},
		"",
		{96, 3, 110, 79},
		readonly, noboxed,
		StaticText {
			nounderline, noitalic, nobold,
			12,
			NoRed, NoGreen, FullBlue,		/* blue color */
			1,
			"Home Phone",
		},
		"homePhone",
		{96, 82, 110, 240},
		readwrite, boxed,
		EditText {
			nounderline, noitalic, nobold,
			12,
			NoRed, NoGreen, NoBlue,			/* black color */
			1,
		},
		"",
		{116, 3, 129, 88},
		readonly, noboxed,
		StaticText {
			nounderline, noitalic, nobold,
			12,
			NoRed, NoGreen, FullBlue,		/* blue color */
			1,
			"Home Address",
		},
		"homePostalAddress",
		{131, 6, 206, 240},
		readwrite, boxed,
		EditText {
			nounderline, noitalic, nobold,
			12,
			NoRed, NoGreen, NoBlue,			/* black color */
			1,
		},
		"",
		{87, 277, 101, 378},
		readonly, noboxed,
		StaticText {
			nounderline, noitalic, nobold,
			12,
			NoRed, NoGreen, FullBlue,		/* blue color */
			1,
			"Business Address",
		},
		"postalAddress",
		{103, 256, 206, 490},
		readwrite, boxed,
		EditText {
			nounderline, noitalic, nobold,
			12,
			NoRed, NoGreen, NoBlue,			/* black color */
			1,
		},
		"",
		{217, 5, 231, 40},
		readonly, noboxed,
		StaticText {
			nounderline, noitalic, nobold,
			12,
			NoRed, NoGreen, FullBlue,		/* blue color */
			1,
			"Email",
		},
		"mail",
		{217, 43, 231, 343},
		readwrite, boxed,
		EditText {
			nounderline, noitalic, nobold,
			12,
			NoRed, NoGreen, NoBlue,			/* black color */
			1,
		},
		"",
		{218, 350, 231, 409},
		readonly, noboxed,
		StaticText {
			nounderline, noitalic, nobold,
			12,
			NoRed, NoGreen, FullBlue,		/* blue color */
			1,
			"Uniqname",
		},
		"uid",
		{217, 413, 231, 490},
		readwrite, boxed,
		EditText {
			nounderline, noitalic, nobold,
			12,
			NoRed, NoGreen, NoBlue,			/* black color */
			1,
		},
		"",
		{239, 4, 253, 69},
		readonly, noboxed,
		StaticText {
			nounderline, noitalic, nobold,
			12,
			NoRed, NoGreen, FullBlue,		/* blue color */
			1,
			"Description",
		},
		"multiLineDescription",
		{240, 72, 268, 488},
		readwrite, boxed,
		EditText {
			nounderline, noitalic, nobold,
			12,
			NoRed, NoGreen, NoBlue,			/* black color */
			1,
		},
		"",
		{217, 5, 231, 40},
		readonly, noboxed,
		StaticText {
			nounderline, noitalic, nobold,
			12,
			NoRed, NoGreen, FullBlue,		/* blue color */
			1,
			"Email",
		},
/*
"noBatchUpdates",
		{278, 4, 294, 120},
		readwrite, noboxed,
		CheckBox {
			hide,
			nodefault,
			defaulttrue,
			"No Updates",
		},
*/
		"noBatchUpdates",
		{275, 4, 295, 94},
		readwrite, noboxed,
		Button {
			nochangelabel,
			noexec,
			deactivate,
			nonextval,
			noclose,
			bool,					/* boolean changing text button */
			default,
			defaultfalse,
			noadddnvals,
			nocopyvals,
			"No Updates",			/* button label to show if value is true */
			"Updates",				/* button label to show if value is false */
			"UM Person Updates",	/* template to link to */
		},
		"jpegPhoto",
		{275, 100, 295, 190},
		readwrite, noboxed,
		Button {
			changelabel,
			noexec,
			deactivate,
			nextval,
			noclose,
			nobool,
			nodefault,
			defaultfalse,
			noadddnvals,
			nocopyvals,
			"View Photo",				/* button label */
			"Next Photo",	
			"JPEG Photo",
		},
		"photo",
		{275, 200, 295, 310},
		readwrite, noboxed,
		Button {
			changelabel,
			noexec,
			hide,
			nextval,
			noclose,
			nobool,
			nodefault,
			defaultfalse,
			noadddnvals,
			nocopyvals,
			"View Fax Photo",				/* button label */
			"Next Fax Photo",	
			"Fax Photo",
		},
		"audio",
		{275, 320, 295, 410},
		readwrite, noboxed,
		Button {
			changelabel,
			exec,
			deactivate,
			nextval,
			noclose,
			nobool,
			nodefault,
			defaultfalse,
			noadddnvals,
			nocopyvals,
			"Play Sound",				/* button label */
			"Next Sound",	
			"",
		},
/*
		"photo",
		{300, 5, 500, 205},
		readonly, boxed,
		Image {
		},
*/
	}
};


resource 'octp' (2) {
	0,										/* version number */
	"Person",								/* template name */
	{
/*
		"umichPerson",
*/
		"person",							/* associated object classes */
	},
	505,									/* horizontal size */
	325,									/* vertical size */
	autosize,
	multitem,
	modeless,
	{
		"-dn-",
		{2, 4, 18, 500},
		readonly, noboxed,
		EditText {
			nounderline, italic, bold,
			12,
			NoRed, NoGreen, NoBlue,			/* black color */
			1,
		},
		"",		/* dividing line */
		{18, -1, 21, 2000},
		readonly, boxed,
		StaticText {
			nounderline, noitalic, bold,
			12,
			NoRed, NoGreen, NoBlue,			/* black color */
			1,
			"",
		},
		"photo",
		{23, 108, 43, 218},
		readwrite, noboxed,
		Button {
			changelabel,
			noexec,
			hide,
			nextval,
			noclose,
			nobool,
			nodefault,
			defaultfalse,
			noadddnvals,
			nocopyvals,
			"View Fax Photo",				/* button label */
			"Next Fax Photo",	
			"Fax Photo",
		},
		"audio",
		{23, 223, 43, 313},
		readwrite, noboxed,
		Button {
			changelabel,
			exec,
			deactivate,
			nextval,
			noclose,
			nobool,
			nodefault,
			defaultfalse,
			noadddnvals,
			nocopyvals,
			"Play Sound",				/* button label */
			"Next Sound",	
			"",
		},
		"",
		{23, 413, 43, 503},
		readwrite, noboxed,
		Button {
			nochangelabel,
			noexec,
			deactivate,
			nonextval,
			noclose,
			nobool,
			nodefault,
			defaultfalse,
			noadddnvals,
			nocopyvals,
			"Home Info",				/* button label */
			"",	
			"Home Information",
		},
		"jpegPhoto",
		{23, 318, 43, 408},
		readwrite, noboxed,
		Button {
			changelabel,
			noexec,
			deactivate,
			nextval,
			noclose,
			nobool,
			nodefault,
			defaultfalse,
			noadddnvals,
			nocopyvals,
			"View Photo",				/* button label */
			"Next Photo",	
			"JPEG Photo",
		},
		"",		/* dividing line */
		{45, -1, 48, 2000},
		readonly, boxed,
		StaticText {
			nounderline, noitalic, bold,
			12,
			NoRed, NoGreen, NoBlue,			/* black color */
			1,
			"",
		},
		"",
		{51, 4, 67, 123},
		readonly, noboxed,
		StaticText {
			nounderline, noitalic, bold,
			12,
			NoRed, NoGreen, FullBlue,		/* blue color */
			1,
			"Also Known As:",
		},
		"cn",
		{51, 125, 99, 500},
		readwrite, noboxed,
		EditText {
			nounderline, noitalic, nobold,
			12,
			NoRed, NoGreen, NoBlue,			/* black color */
			1,
		},
		"",
		{109, 4, 125, 123},
		readonly, noboxed,
		StaticText {
			nounderline, noitalic, bold,
			12,
			NoRed, NoGreen, FullBlue,		/* blue color */
			1,
			"E-mail address:",
		},
		"mail",
		{109, 125, 125, 500},
		readwrite, noboxed,
		EditText {
			nounderline, noitalic, nobold,
			12,
			NoRed, NoGreen, NoBlue,			/* black color */
			1,
		},
		"",
		{130, 4, 146, 123},
		readonly, noboxed,
		StaticText {
			nounderline, noitalic, bold,
			12,
			NoRed, NoGreen, FullBlue,		/* blue color */
			1,
			"Business phone:",
		},
		"telephoneNumber",
		{130, 125, 162, 500},
		readwrite, noboxed,
		EditText {
			nounderline, noitalic, nobold,
			12,
			NoRed, NoGreen, NoBlue,			/* black color */
			1,
		},
		"",
		{167, 4, 183, 123},
		readonly, noboxed,
		StaticText {
			nounderline, noitalic, bold,
			12,
			NoRed, NoGreen, FullBlue,		/* blue color */
			1,
			"Fax phone:",
		},
		"facsimileTelephoneNumber",
		{167, 125, 183, 500},
		readwrite, noboxed,
		EditText {
			nounderline, noitalic, nobold,
			12,
			NoRed, NoGreen, NoBlue,			/* black color */
			1,
		},
		"",
		{188, 4, 204, 123},
		readonly, noboxed,
		StaticText {
			nounderline, noitalic, bold,
			12,
			NoRed, NoGreen, FullBlue,		/* blue color */
			1,
			"Business address:",
		},
		"postalAddress",
		{188, 125, 243, 500},
		readwrite, noboxed,
		EditText {
			nounderline, noitalic, nobold,
			12,
			NoRed, NoGreen, NoBlue,			/* black color */
			1,
		},
		"",
		{248, 4, 264, 123},
		readonly, noboxed,
		StaticText {
			nounderline, noitalic, bold,
			12,
			NoRed, NoGreen, FullBlue,		/* blue color */
			1,
			"Title:",
		},
		"title",
		{248, 125, 264, 500},
		readwrite, noboxed,
		EditText {
			nounderline, noitalic, nobold,
			12,
			NoRed, NoGreen, NoBlue,			/* black color */
			1,
		},
		"",
		{269, 4, 285, 123},
		readonly, noboxed,
		StaticText {
			nounderline, noitalic, bold,
			12,
			NoRed, NoGreen, FullBlue,		/* blue color */
			1,
			"Userid:",
		},
		"uid",
		{269, 125, 285, 500},
		readwrite, noboxed,
		EditText {
			nounderline, noitalic, nobold,
			12,
			NoRed, NoGreen, NoBlue,			/* black color */
			1,
		},
		"",
		{290, 4, 306, 123},
		readonly, noboxed,
		StaticText {
			nounderline, noitalic, bold,
			12,
			NoRed, NoGreen, FullBlue,		/* blue color */
			1,
			"Description:",
		},
		"description",
		{290, 125, 322, 500},
		readwrite, noboxed,
		EditText {
			nounderline, noitalic, nobold,
			12,
			NoRed, NoGreen, NoBlue,			/* black color */
			1,
		},
	}
};

resource 'octp' (3) {
	0,										/* version number */
	"Home Information", 					/* template name */
	{
		"person",							/* associated object classes */
	},
	505,									/* horizontal size */
	200,									/* vertical size */
	autosize,
	multitem,
	modeless,
	{
		"",
		{3, 4, 19, 123},
		readonly, noboxed,
		StaticText {
			nounderline, noitalic, bold,
			12,
			NoRed, NoGreen, FullBlue,		/* blue color */
			1,
			"Home phone:",
		},
		"homePhone",
		{3, 125, 35, 410},
		readwrite, noboxed,
		EditText {
			nounderline, noitalic, nobold,
			12,
			NoRed, NoGreen, NoBlue,			/* black color */
			1,
		},
		"",
		{3, 413, 23, 503},
		readwrite, noboxed,
		Button {
			nochangelabel,
			noexec,
			deactivate,
			nonextval,
			noclose,
			nobool,
			nodefault,
			defaultfalse,
			noadddnvals,
			nocopyvals,
			"General Info",				/* button label */
			"",	
			"Person",
		},
		"",
		{40, 4, 56, 123},
		readonly, noboxed,
		StaticText {
			nounderline, noitalic, bold,
			12,
			NoRed, NoGreen, FullBlue,		/* blue color */
			1,
			"Home address:",
		},
		"homePostalAddress",
		{40, 125, 98, 500},
		readwrite, noboxed,
		EditText {
			nounderline, noitalic, nobold,
			12,
			NoRed, NoGreen, NoBlue,			/* black color */
			1,
		},
	}
};


resource 'octp' (5) {
	0,										/* version number */
	"Computer Conference",					/* template name */
	{
		"computerConference",				/* associated object classes */
	},
	{										/* list of attribute defaults when adding */
	},
	"",										/* attribute to authenticate as */
	"",										/* default location for add/new */
	"",										/* default RDN attribute for add/new */
	300,									/* horizontal size */
	158,									/* vertical size */
	notaddable,
	autosize,
	multitem,
	modeless,
	{
		"-dn-",
		{2, 2, 18, 300},
		readonly, noboxed,
		EditText {
			nounderline, noitalic, bold,
			12,
			NoRed, NoGreen, NoBlue,			/* black color */
			FONT_HELV,
		},
		"",		/* dividing line */
		{18, -1, 21, 2000},
		readonly, boxed,
		StaticText {
			nounderline, noitalic, bold,
			12,
			NoRed, NoGreen, NoBlue,			/* black color */
			FONT_HELV,
			"",
		},
		"",
		{24, 2, 40, 110},
		readonly, noboxed,
		StaticText {
			nounderline, noitalic, bold,
			12,
			NoRed, NoGreen, FullBlue,		/* blue color */
			FONT_HELV,
			"Name:"
		},
		"cn",
		{24, 114, 40, 298},
		readonly, noboxed,
		EditText {
			nounderline, noitalic, nobold,
			12,
			NoRed, NoGreen, NoBlue,			/* black color */
			FONT_HELV,
		},
		"",
		{44, 2, 60, 110},
		readonly, noboxed,
		StaticText {
			nounderline, noitalic, bold,
			12,
			NoRed, NoGreen, FullBlue,		/* blue color */
			FONT_HELV,
			"Description:"
		},
		"multiLineDescription",
		{44, 114, 60, 298},
		readwrite, noboxed,
		EditText {
			nounderline, noitalic, nobold,
			12,
			NoRed, NoGreen, NoBlue,			/* black color */
			FONT_HELV,
		},
		"",
		{64, 2, 80, 110},
		readonly, noboxed,
		StaticText {
			nounderline, noitalic, bold,
			12,
			NoRed, NoGreen, FullBlue,		/* blue color */
			FONT_HELV,
			"Date created:"
		},
		"creationTime",
		{64, 114, 80, 298},
		readwrite, noboxed,
		EditText {
			nounderline, noitalic, nobold,
			12,
			NoRed, NoGreen, NoBlue,			/* black color */
			FONT_HELV,
		},
		"",
		{84, 2, 100, 298},
		readonly, noboxed,
		StaticText {
			nounderline, noitalic, bold,
			12,
			NoRed, NoGreen, FullBlue,		/* blue color */
			FONT_HELV,
			"Owner:"
		},
		"owner",
		{84, 114, 100, 298},
		readwrite, noboxed,
		EditText {
			nounderline, noitalic, nobold,
			12,
			NoRed, NoGreen, NoBlue,			/* black color */
			FONT_HELV,
		},
		"",
		{104, 2, 120, 298},
		readonly, noboxed,
		StaticText {
			nounderline, noitalic, bold,
			12,
			NoRed, NoGreen, FullBlue,		/* blue color */
			FONT_HELV,
			"Organizer:"
		},
		"organizer",
		{104, 114, 120, 298},
		readwrite, noboxed,
		EditText {
			nounderline, noitalic, nobold,
			12,
			NoRed, NoGreen, NoBlue,			/* black color */
			FONT_HELV,
		},
		"",
		{120, 2, 136, 110},
		readonly, noboxed,
		StaticText {
			nounderline, noitalic, bold,
			12,
			NoRed, NoGreen, FullBlue,		/* blue color */
			FONT_HELV,
			"Member count:"
		},
		"memberCount",
		{120, 114, 136, 298},
		readwrite, noboxed,
		EditText {
			nounderline, noitalic, nobold,
			12,
			NoRed, NoGreen, NoBlue,			/* black color */
			FONT_HELV,
		},
		"member",
		{140, 2, 156, 298},
		readwrite, noboxed,
		EditText {
			nounderline, noitalic, nobold,
			12,
			NoRed, NoGreen, NoBlue,			/* black color */
			FONT_HELV,
		},
	}
};
#endif notdef
